/*
 * helper.cc
 *
 *  Created on: Nov 16, 2015
 *      Author: cedric
 */

#include "helper.h"

#include <iostream>

using namespace std;

void Helper::print_same_state(const State &state1, const State &state2){
	cout << "SAME STATE:" << endl;
	Helper::print_state(state1, "STATE1");
	Helper::print_state(state2, "STATE2");
}

void Helper::print_state(const State &state){
	Helper::print_state(state, "STATE");
}

void Helper::print_state(const State &state, const string &msg){
	string separator = "";
	cout << msg << ": ";
	for(size_t i = 0; i < state.size(); i++){
		cout << separator << state[i].get_value();
		separator = ", ";
	}
	cout << endl;
}
